GCLI-GISTS(1)

NAME
gcli gists - manage Github Gists

SYNOPSIS
gcli [-s] [-l] [-n n] [-u user]
gcli create [-d description] [-f path] gist-file-name
gcli delete [-y] gist-id
gcli get gist-id file-name

DESCRIPTION
Use gcli to list, create, download or delete Github Gists. Without a subcommand specified, gcli will list Gists of the given or autodetected user account.

OPTIONS

-l, --long
    Print a long list instead of a short table.

-s, --sorted
    Reverse the output such that most recent items appear at the bottom.

-u, --user owner
    List Gists of the given user.

-n, --count n
    Fetch at least n gists. Setting n to -1 will fetch all gists. Default: 30. Note that on users with many gists fetching all gists can take a considerable amount of time and may result in rate limiting by the GitHub API.

SUBCOMMANDS

create
    Paste a new Gist. The following flags can be specified:

    -f, --file file
        Read the content from the specified file instead of standard input.

    -d, --description description
        The description of the Gist to be created.

delete
    Delete a Gist. The following options can be specified:

    -y, --yes
        Do not ask for confirmation before deleting the Gist. Assume yes.

get Download a file from a Gist. There are no options to this subcommand.

EXAMPLES
List neutaaaaan's Gists:

    $ gcli gists -u neutaaaaan

Paste a new gist named foobar and read from foobar.txt:

    $ gcli gists create foobar < foobar.txt

Delete gist with id 3b546069d2856e6051bbe3c1080f1b5d:

    $ gcli gists delete 3b546069d2856e6051bbe3c1080f1b5d

Print foobar.txt from Gist with id 3b546069d2856e6051bbe3c1080f1b5d into your pager:

    $ gcli gists get 3b546069d2856e6051bbe3c1080f1b5d foobar.txt | $PAGER

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
This subcommand only works on GitHub. It is not implemented for GitLab, as GitLab snippets work differently.

Please report bugs via E-Mail to ~herrhotzenplotz/gcli-discuss@lists.sr.ht.

Alternatively you can report them on any of the forges linked at https://herrhotzenplotz.de/gcli. However, the preferred and quickest method is to use the mailing list.